POST api/ScheduleReport/SaveReportFilter
Request Information
URI Parameters
None.
Body Parameters
MasterReportFilterDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| ReportId | integer |
None. |
|
| ListReportTypeFilter | Collection of ReportFilterDTO |
None. |
Request Formats
application/json, text/json
Sample:
{
"ReportId": 1,
"ListReportTypeFilter": [
{
"Id": 1,
"ReportId": 2,
"ReportTypeId": 3,
"ReportFilterTypeId": 4,
"ReportFilterValue": "sample string 5",
"Name": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:00:03.7059787-07:00",
"DateUpdated": "2026-06-20T03:00:03.7059787-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
{
"Id": 1,
"ReportId": 2,
"ReportTypeId": 3,
"ReportFilterTypeId": 4,
"ReportFilterValue": "sample string 5",
"Name": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:00:03.7059787-07:00",
"DateUpdated": "2026-06-20T03:00:03.7059787-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfMasterReportFilterDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MasterReportFilterDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"ReportId": 1,
"ListReportTypeFilter": [
{
"Id": 1,
"ReportId": 2,
"ReportTypeId": 3,
"ReportFilterTypeId": 4,
"ReportFilterValue": "sample string 5",
"Name": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:00:03.7110028-07:00",
"DateUpdated": "2026-06-20T03:00:03.7110028-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
{
"Id": 1,
"ReportId": 2,
"ReportTypeId": 3,
"ReportFilterTypeId": 4,
"ReportFilterValue": "sample string 5",
"Name": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-06-20T03:00:03.7110028-07:00",
"DateUpdated": "2026-06-20T03:00:03.7110028-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
]
},
"totalCount": 3
}